const minimizeSnaks = snaks => {
  if (!snaks) return
  // Support references nested snaks
  if (snaks.snaks) snaks = snaks.snaks
  Object.keys(snaks).forEach(property => {
    const propSnaks = snaks[property]
    snaks[property] = propSnaks.map(snak => {
      if (snak.snaktype === 'value') delete snak.snaktype
      minimizeSnaks(snak.qualifiers)
      if (snak.references) snak.references.forEach(minimizeSnaks)
      const keys = Object.keys(snak)
      if (keys.length === 1 && keys[0] === 'value') return snak.value
      else return snak
    })
    if (snaks[property].length === 1) snaks[property] = snaks[property][0]
  })
}

module.exports = minimizeSnaks
